## org.eclipse.datatools.sqltools.routineeditor.ui.launching
Class SPLaunchShortcut

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.launching.SPLaunchShortcut

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchShortcut

    public class SPLaunchShortcut

extends java.lang.Object
implements org.eclipse.debug.ui.ILaunchShortcut

This is launch shortcut.

Author:
  Yang Liu

Nested Class Summary
`static class` `SPLaunchShortcut.SPLaunchListener`

Field Summary
`static java.lang.String` `LAUNCH_VIA_SHORTCUT`
`static org.eclipse.core.runtime.IStatus` `PROMPT_STATUS`

Constructor Summary
`SPLaunchShortcut()`

Method Summary
`static org.eclipse.debug.core.ILaunchConfiguration` `getLaunchConfiguration(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, java.lang.String mode)` Gets a launch configuration to run the specified proc.
`void` `launch(org.eclipse.ui.IEditorPart editor, java.lang.String mode)`
`void` `launch(org.eclipse.jface.viewers.ISelection selection, java.lang.String mode)`
`static void` `launch(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, java.lang.String mode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROMPT_STATUS

    public static final org.eclipse.core.runtime.IStatus PROMPT_STATUS

### LAUNCH_VIA_SHORTCUT

    public static final java.lang.String LAUNCH_VIA_SHORTCUT

See Also:
  Constant Field Values

Constructor Detail

### SPLaunchShortcut

    public SPLaunchShortcut()

Method Detail

### getLaunchConfiguration

    public static org.eclipse.debug.core.ILaunchConfiguration getLaunchConfiguration(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                                                                     java.lang.String mode)
                                                                              throws org.eclipse.core.runtime.CoreException,
                                                                                     java.sql.SQLException,
                                                                                     org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

  Gets a launch configuration to run the specified proc. It may use existing configuration, or create new configuration.

  Parameters:
    `proc` -
  Returns:
  Throws:
    `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`
    `java.sql.SQLException`
    `org.eclipse.core.runtime.CoreException`

### launch

    public static void launch(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                              java.lang.String mode)
                       throws org.eclipse.core.runtime.CoreException,
                              java.sql.SQLException,
                              org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

  Parameters:
    `proc` -
    `mode` -
  Throws:
    `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`
    `java.sql.SQLException`
    `org.eclipse.core.runtime.CoreException`

### launch

    public void launch(org.eclipse.jface.viewers.ISelection selection,
                       java.lang.String mode)

  Specified by:
    `launch` in interface `org.eclipse.debug.ui.ILaunchShortcut`

### launch

    public void launch(org.eclipse.ui.IEditorPart editor,
                       java.lang.String mode)

  Specified by:
    `launch` in interface `org.eclipse.debug.ui.ILaunchShortcut`